Bug 325251 - [NetApp 5.2 bug] New Prio Patch required for NetApp
[NetApp 5.2 bug] New Prio Patch required for NetApp
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: device-mapper-multipath (Show other bugs)
10
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Ben Marzinski
Fedora Extras Quality Assurance
bzcl34nup
: Reopened, Triaged
Depends On: 282131
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-09 13:39 EDT by Ben Marzinski
Modified: 2009-12-18 00:59 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 00:59:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Marzinski 2007-10-09 13:39:08 EDT
+++ This bug was initially created as a clone of Bug #282131 +++

Description of problem:
Currently, the prio patch for NetApp bundled in RHEL is mpath_prio_netapp.
There have been some code fixes:
* sg_timeount value increased.
* Enhnacement to error handling

Apart from that, for business reasons NetApp has decided to rename the prio 
patch from mpath_prio_netapp to mpath_prio_ontap.

We'd like to see this included in U1. The patch has been created again RHEL5.1 
Snapshot 4. (multipath-tools-0.4.7.rhel5.7)

Version-Release number of selected component (if applicable):
device-mapper-multipath-0.4.7-12.el5

-- Additional comment from rsarraf@netapp.com on 2007-09-07 06:05 EST --
Created an attachment (id=189641)
New Prio Patch for NetApp


-- Additional comment from coughlan@redhat.com on 2007-09-07 15:48 EST --
Sorry, we are nearing the final 5.1 build. Only super-critical fixes are going
in. This does not qualify.  I will queue this for consideration in 5.2. 

-- Additional comment from bmarzins@redhat.com on 2007-09-10 12:43 EST --
I have no problem will adding the code fixes from this bug. I don't think that
we are able to completely remove the mpath_prio_netapp callout during the RHEL 5
timeframe.  However, I can add the mpath_prio_ontap callout, and make one a
symlink of the other, and have the default configuration and the example files
point to mpath_prio_ontap.  This will mean that everyone who hasn't manually
configured device-mapper-multipath to use mpath_prio_netapp, will automatically
start using mapth_prio_ontap.

-- Additional comment from andriusb@redhat.com on 2007-09-12 15:39 EST --
This bugzilla is now NetApp confidential, and all others on CC have been removed.

-- Additional comment from andriusb@redhat.com on 2007-09-12 16:11 EST --
NetApp has corrected me that this is indeed not a confidential bug. Adding back
those removed from CC.

-- Additional comment from bmarzins@redhat.com on 2007-10-09 01:14 EST --
I've pulled in the codefixes from the patch in comment #1

-- Additional comment from andriusb@redhat.com on 2007-10-09 01:34 EST --
Ben, great news! Does this need to go to MODIFIED?
Comment 1 Ben Marzinski 2007-10-09 13:40:44 EDT
This bug is for changing the name from mpath_prio_netapp to mpath_prio_ontap for
future releases.
Comment 2 Bug Zapper 2008-04-04 10:02:32 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-11-26 02:56:28 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 02:18:41 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Bug Zapper 2009-11-18 02:50:34 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 00:59:27 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.